## javax.faces.application
Class StateManager

    java.lang.Object
      javax.faces.application.StateManager

public abstract class StateManager
extends java.lang.Object

Version:
  $Revision: 220121 $ $Date: 2005-07-21 11:58:42 -0400 (Thu, 21 Jul 2005) $
Author:
  Manfred Geiler (latest modification by $Author: bdudney $)

Nested Class Summary
`class` `StateManager.SerializedView`

Field Summary
`static java.lang.String` `STATE_SAVING_METHOD_CLIENT`
`static java.lang.String` `STATE_SAVING_METHOD_PARAM_NAME`
`static java.lang.String` `STATE_SAVING_METHOD_SERVER`

Constructor Summary
`StateManager()`

Method Summary
`protected abstract java.lang.Object` `getComponentStateToSave(FacesContext context)`
`protected abstract java.lang.Object` `getTreeStructureToSave(FacesContext context)`
`boolean` `isSavingStateInClient(FacesContext context)`
`protected abstract void` `restoreComponentState(FacesContext context, UIViewRoot viewRoot, java.lang.String renderKitId)`
`protected abstract UIViewRoot` `restoreTreeStructure(FacesContext context, java.lang.String viewId, java.lang.String renderKitId)`
`abstract UIViewRoot` `restoreView(FacesContext context, java.lang.String viewId, java.lang.String renderKitId)`
`abstract StateManager.SerializedView` `saveSerializedView(FacesContext context)`
`abstract void` `writeState(FacesContext context, StateManager.SerializedView state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATE_SAVING_METHOD_PARAM_NAME

    public static final java.lang.String STATE_SAVING_METHOD_PARAM_NAME

See Also:
  Constant Field Values

### STATE_SAVING_METHOD_CLIENT

    public static final java.lang.String STATE_SAVING_METHOD_CLIENT

See Also:
  Constant Field Values

### STATE_SAVING_METHOD_SERVER

    public static final java.lang.String STATE_SAVING_METHOD_SERVER

See Also:
  Constant Field Values

Constructor Detail

### StateManager

    public StateManager()

Method Detail

### saveSerializedView

    public abstract StateManager.SerializedView saveSerializedView(FacesContext context)

### getTreeStructureToSave

    protected abstract java.lang.Object getTreeStructureToSave(FacesContext context)

### getComponentStateToSave

    protected abstract java.lang.Object getComponentStateToSave(FacesContext context)

### writeState

    public abstract void writeState(FacesContext context,
                                    StateManager.SerializedView state)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### restoreView

    public abstract UIViewRoot restoreView(FacesContext context,
                                           java.lang.String viewId,
                                           java.lang.String renderKitId)

### restoreTreeStructure

    protected abstract UIViewRoot restoreTreeStructure(FacesContext context,
                                                       java.lang.String viewId,
                                                       java.lang.String renderKitId)

### restoreComponentState

    protected abstract void restoreComponentState(FacesContext context,
                                                  UIViewRoot viewRoot,
                                                  java.lang.String renderKitId)

### isSavingStateInClient

    public boolean isSavingStateInClient(FacesContext context)